// MUSHROOM INCLUDE FILE VERSION 1.0
// (C) 1997 NATHAN G B O'BRIEN

#ifndef (Stalk_plus)
	#declare Stalk_plus = 0
#end
#ifndef (Head_rotate)
	#declare Head_rotate = 0
#end
#ifndef (Mushroom_type)
	#declare Mushroom_type = 1
#end
#ifndef (Quick_room)
	#declare Quick_room = off
#end
#ifndef (Patt_rand)
	#declare Patt_rand = 13
#end

#declare Rand1 = seed(Patt_rand)

#include "13textures.inc"

// STANDARD STEM DEFINITIONS

#declare Stem1 =
union {
    sphere {<0,0,0>,0.2
		pigment {color <1.00,1.00,0.89>}
		#if (Quick_room = off)
		normal {gradient x 0.2 scale .05}
		finish {phong 1}
		#end
	}
    cylinder {<0,0,0><0,2.5,0>,0.2
		pigment {color <1.00,1.00,0.89>}
		#if (Quick_room = off)
		normal {gradient x 0.2 scale .05}
		finish {phong 1}
		#end
	}
    intersection {
        cylinder {<0,0.35,0><0,0.5,0>,0.35
			pigment {color <1.00,1.00,0.89>}
			#if (Quick_room = off)
			normal {gradient x 0.2 scale .05}
			finish {phong 1}
			#end
		}
        difference {
            torus {0.35,0.16 sturm translate <0,0.35,0>
				pigment {color <1.00,1.00,0.89>}
				#if (Quick_room = off)
				normal {gradient x 0.2 scale .05}
				finish {phong 1}
				#end
			}
            torus {0.35,0.15 sturm translate <0,0.35,0>
				pigment {color <1.00,1.00,0.89>}
				#if (Quick_room = off)
				normal {gradient x 0.2 scale .05}
				finish {phong 1}
				#end
			}
		}
    }
}

#declare Stem2 =
union {
    cylinder {<0,2,0><0,(2.5 + Stalk_plus),0>,0.2
		pigment {color <1.00,1.00,0.89>}
		#if (Quick_room = off)
		normal {gradient x 0.2 scale .05}
		finish {phong 1}
		#end
	}
    cone {<0,0,0>,0.3<0,2,0>,0.2
		pigment {color <1.00,1.00,0.89>}
		#if (Quick_room = off)
		normal {gradient x 0.2 scale .05}
		finish {phong 1}
		#end
	}
}

#if (Mushroom_type = 1)
#declare Head =
union {
difference {
    sphere {<0,0,0>,1 scale <1,1.5,1>}
    sphere {<0,0,0>,0.9 scale <1,1.5,1>}
    box {<-4,-1,-4><4,-4,4>}
}
torus {0.3939,0.4 sturm translate <0,-0.809,0>}
}
#end

#if (Mushroom_type = 2)
#declare Head =
union {
difference {
	sphere {<0,-0.5,0>,2 }
	sphere {<0,-0.5,0>,1.9}
	box {<-3,-0.5,-3><3,-5,3>}
}
torus {1.7,0.3 sturm translate <0,-0.5,0>}
}

#declare Flute =
intersection {
    sphere {<0,-0.5,0>,1.9}
    union {
        cylinder {<-1.1196,0.6667,0.005><-1.1196,0.6667,-0.005>,1.2931}
        torus {1.2931,0.01 sturm rotate <90,0,0> translate <-1.1196,0.6667,0>}
    }
}
#end

#if (Mushroom_type = 3)
#declare Head =
union {
difference {
	sphere {<0,-2.25,0>,3.75}
	sphere {<0,-2.25,0>,3.65}
	box {<20,0,20><-20,-20,-20>}
}
torus {2.92,0.1 sturm translate <0,-0.06,0>}
}

#declare Flute =
difference {
intersection {
    sphere {<0,-2.25,0>,3.65}
    union {
        cylinder {<-1.45,3.493,0.005><-1.45,3.493,-0.005>,3.772}
        torus {3.772,0.01 sturm rotate <90,0,0> translate <-1.45,3.493,0>}
    }
}
box {<0,-1,-1><3,2,1>}
}
#end

#if (Mushroom_type = 4)
#declare Head =
union {
difference {
	sphere {<0,10.35,0>,9.26}
	sphere {<0,10.35,0>,9.25}
	box {<-20,1.6,-20><20,20,20>}
}
torus {3.0324,0.1 sturm translate <0,1.6,0>}
}

#declare Flute =
difference {
    union {
        cylinder {<0,4.1123,0.005><0,4.1123,-0.005>,3.9886}
        torus {3.9886,0.01 sturm rotate <90,0,0> translate <0,4.1123,0>}
    }
sphere {<0,10.35,0>,9.26}
}
#end

#declare Mush_head =
union {
	object {Stem1}
	object {Head
		#if (Quick_room = off)
			texture{Spotty translate <(rand (Rand1) * 20),0,0>}
			#else
			pigment{White}
		#end
		translate <0,1.5,0>
	}
	#if (Quick_room = off)
		#if (Mushroom_type > 1)
			#if (Mushroom_type = 4)
				#declare Flute_rot = 45
				#else
				#declare Flute_rot = 90
			#end
			#declare Count = 0
			#while (Count < Flute_rot)
				object {Flute translate <0,1.5,0> rotate <0,(Count * 4),0>
				pigment {color <0.70,0.54,0.52>}}
				#declare Count = (Count + 1)
			#end
		#end
	#end
}

#declare Mushroom =
union {
	object {Mush_head rotate <0,0,Head_rotate> translate <0,(2 + Stalk_plus),0>}
	object {Stem2}
}

